
import java.net.MalformedURLException;
import java.rmi.Naming;
import java.rmi.NotBoundException;
import java.rmi.RMISecurityManager;
import java.rmi.RemoteException;

/**
 * Cliente RMI 
 */
public class SaludoCliente {

   public static void main(String[] args) {

      // El argumento ser el host donde est el servicio
      String url = "//localhost/";


      System.setSecurityManager(new RMISecurityManager());
     
      try {
         
         // Obtencion de los servicios RMI disponibles
     
         String[] servicios = Naming.list(url);
         
         // Se muestran los servicios RMI
         for (int i=0;i<servicios.length;i++)
            System.out.println(servicios[i]);
         // Obtenemos la referencia al objeto remoto
         Saludo sal = (Saludo) Naming.lookup(url + "Saludo");

         // Ahora la utilizamos como si se tratase de un objeto
         // local

         String mensaje = sal.getMensaje();

         System.out.println(mensaje);

      } catch (MalformedURLException e) {
         e.printStackTrace();
      } catch (RemoteException e) {
         e.printStackTrace();
      } catch (NotBoundException e) {
         e.printStackTrace();
      }      
   }

}
